# Uses of Class
org.apache.sysds.runtime.matrix.data.IJV

Packages that use IJV
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.data
org.apache.sysds.runtime.matrix.data

## Uses of IJV in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress that return types with arguments of type IJV
Modifier and Type
Method
Description
`Iterator<IJV>`
CompressedMatrixBlock.`getSparseBlockIterator()`
`Iterator<IJV>`
CompressedMatrixBlock.`getSparseBlockIterator(int rl, int ru)`

## Uses of IJV in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data that return types with arguments of type IJV
Modifier and Type
Method
Description
`Iterator<IJV>`
SparseBlock.`getIterator()`
Get a non-zero iterator over the entire sparse block.
`Iterator<IJV>`
SparseBlock.`getIterator(int ru)`
Get a non-zero iterator over the partial sparse block [0,ru).
`Iterator<IJV>`
SparseBlock.`getIterator(int rl, int ru)`
Get a non-zero iterator over the subblock [rl, ru).
`Iterator<IJV>`
SparseBlock.`getIterator(int rl, int ru, int cl, int cu)`
Get a non-zero iterator over the subblock [rl/cl, ru/cu).
`Iterator<IJV>`
SparseBlockCOO.`getIterator()`
`Iterator<IJV>`
SparseBlockCOO.`getIterator(int ru)`
`Iterator<IJV>`
SparseBlockCOO.`getIterator(int rl, int ru)`
`Iterator<IJV>`
SparseBlockDCSR.`getIterator()`

## Uses of IJV in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data that return IJV
Modifier and Type
Method
Description
`IJV`
IJV.`set(int i, int j, double v)`
Methods in org.apache.sysds.runtime.matrix.data that return types with arguments of type IJV
Modifier and Type
Method
Description
`Iterator<IJV>`
MatrixBlock.`getSparseBlockIterator()`
`Iterator<IJV>`
MatrixBlock.`getSparseBlockIterator(int rl, int ru)`
`Iterator<IJV>`
MatrixBlock.`getSparseBlockIterator(int rl, int ru, int cl, int cu)`